Subject: Re: bug#25107: Acknowledgement (Patches to clean up ispell.el)

From: Eli Zaretskii <[email-masked]>
Date: Tue, 06 Dec 2016 17:51:05 +0200

> From: Reuben Thomas <[email-masked]>
> Date: Mon, 5 Dec 2016 21:38:16 +0000
> 
> ​Attached, ​an updated patch set which fixes a couple of bugs I found, and adds one more patch to remove an
> unused variable.

Thanks, I have a few comments:

> From b2311cf687ec0af8da1c1c4df46255ebbd334e66 Mon Sep 17 00:00:00 2001
> From: Reuben Thomas <[email-masked]>
> Date: Sun, 4 Dec 2016 13:55:31 +0000
> Subject: [PATCH 06/23] Generalise over-specific documentation
> MIME-Version: 1.0
> Content-Type: text/plain; charset=UTF-8
> Content-Transfer-Encoding: 8bit
> 
> * lisp/textmodes/ispell.el (ispell-personal-dictionary): Rather than
> document precise personal wordlist filenames for only two supported
> spelling checkers, simply say that the default personal dictionary
> depends on the chosen spelling checker.  The user can check the
> spelling checker’s documentation if necessary.  This is simpler, and
> works for other supported (and future, or unknown) spelling checkers.

Why is it useful to remove this information?  The documentation of the
spell-checkers themselves leaves a lot to be desired, so asking the
users to go consult it might not be appreciated.  I'd rather add here
the missing info about the other spellers.

> From 01e9de80ebf42180a63f8021f754820334cc1fa1 Mon Sep 17 00:00:00 2001
> From: Reuben Thomas <[email-masked]>
> Date: Sun, 4 Dec 2016 21:58:00 +0000
> Subject: [PATCH 20/23] Remove meaningless defconst ispell-version
> MIME-Version: 1.0
> Content-Type: text/plain; charset=UTF-8
> Content-Transfer-Encoding: 8bit
> 
> * lisp/textmodes/ispell.el (ispell-version): Since ispell.el is now
> firmly part of Emacs, and the version hasn’t changed since 2003, and
> isn’t used anywhere, remove it.  3rd-party code can better use the
> Emacs version, or feature or function checks.

I agree, but instead of removing the information, how about replacing
it with the Emacs version?  Something like "ispell.el from Emacs %s".

The rest of the patch is fine with me.  Please wait for a few more
days before pushing, to give people time to comment.